MC68AS(1)

NAME
mc68as - MC68000 assembler

SYNOPSIS
mc68as [-o objfile] [-n] [-m] [-R] [-V] file-name

DESCRIPTION
The mc68as command assembles the named file. The following flags may be specified in any order:

-o objfile
    Puts the output of the assembly in objfile. By default, the output file name is formed by removing the .s suffix, if there is one, from the input file name and appending a .o suffix.

-n  Turns off long/short address optimization. By default, address optimization takes place.

-m  Runs the m4 macro pre-processor on the input to the assembler.

-R  Removes (unlinks) the input file after assembly is completed.

-V  Writes the version number of the assembler being run on the standard error output.

FILES
/tmp/mc68a[A-L]AAaXXXXXX temporary files

SEE ALSO
mc68ld(1), mc68nm(1), mc68strip(1).
a.out(4) in the UNIX System V Programmer's Reference Manual.
m4(1) in the UNIX System V User's Reference Manual.
UNIX Assembler User's Guide for the Motorola 68000 in the 630 MTG Software Development Guide.

WARNING

If the -m (m4 macro pre-processor invocation) option is used, keywords for m4 [see m4(1)] cannot be used as symbols (variables, functions, labels) in the input file since m4 cannot determine which are assembler symbols and which are real m4 macros.

BUGS
The even assembler directive is not guaranteed to work in the .text section when optimization is performed.

Arithmetic expressions may only have one forward referenced symbol per expression.